7.6.9
[+] Добавлен выбор типа зон (нормально-замкнутые или нормально-разомкнутые) в пожарном режиме для "Лунь-9С".

7.6.6
[*] Исправлены проблемы совместимости с некоторыми версиями win 8.

7.6.5
[*] Исправлен креш конфигуратра при попытке удаленного считывания прибора не соответствующего выбранному.
[*] Исправлена ошибка при удаленном конфигурировании прибора 9с.

7.6.4
[+] Добавлено напоминание "В приборе отсутствует прошивка. Сначала запишите прошивку в прибор программой LunUpdater.", если в приборе нет app.
[+] При открытии файла, открывается каталог, из которого был загружен последний файл настроек.
[*] Исправлено считывание и запись адреса для прибора орлан-М. 
[*] Программно добавляются каталоги из "Пути к файлу с настройками", если они отсутствуют в системе.
[*] Исправлен файл заводских установок для Лунь 9Р.
[*] Исправлен переход с Lan на Sim, при включенной опции "время в 5 мин тиках" канала Автодозвон для Лунь 9Т.
[*] Исправленo дистанционное обновление приборов.

7.6.3
[+] Добавлен испанский язык.

7.6.2
[+] Языковые настройки перенесены на форму определения прибора. Позволяет выбрать язык при старте программы.
[+] При удаленном конфигурировании для номера объекта добавлены проверки на размер и вводимые символы.
[+] Добавлен лог изменений в конфигураторе (данный файл).


7.6.1
[+] Для прибора Лунь9т во вкладке "Автодозвон" добавлена галочка
    "Время в 5 минутных тиках". При включении галочки периоды тестов будут считаться не в часах, а в тиках, 1 значение 5 минут. Время не должно превышать 24 часов или тиков;
[*] Изменен интерфейс вывода ошибок (выводится информативное сообщение без стека ошибки)

7.5.9
[+] При подключении прибора другого типа выдается сообщение "В связи с подключением прибора другого типа перезапустите приложение" и при нажатии кнопки "ОК" в этом окне приложение закрывается.
    (Приложение закрывается, если для подключенного прибора должен загружаться другой файл по умолчанию.);
[+] Добавлена возможность выбора порта для удаленного конфигурирования. (порт задается в настройках программы). 
[*] Изменен интерфейс для выбора хранящихся адресов и телефонов ПЦН
      В шапке таблицы "Номер телефона или IP-адрес"
      Добавлена проверка валидности номеров телефонов и IP-адресов
      телефоны - допустимы '+' и цифры
      IP-адресов (доменных имен) - не допустимо отсутствие '.'
[*] Для прибора 9С сделано так, что настройки из Sim1 не попадают в настройки Sim2ж;

7.5.8
[+] Добавлен лунь9Р с модемом сим800с;
[*] Для конфигурирования алетов изменены настройки по умолчанию для "Мониторинговый сервис gpspla.net" с 91.228.152.11 на 104.168.136.124 порт 8092
[*] Для конфигурирования алетов при выборе - "gps-tracker.com.ua" или "Мониторинговый сервис gpspla.net" выводится IP адрес и порт 
  по умолчанию для 1 и 2 симкарт, если IP адрес или порт не были изменены вручную или в приборе. 
[-] Для линейки лунь9P удалены чекбоксы - анализ при отчете;

7.5.7 .
[-] Исключена поддержка прибора лунь 23. 

7.5.5
[+] Добавлена проверка по количеству символов в передаваемом номере приборов;
[+] Для прибора лунь 23 добавлена проверка на правильность задания ключей.
[*] Исправлена в приборе лунь 23 в разделе пожарная подсистема опция "Распозновать сработку второго извещателя в пожарном шлейфе";
[*] Исправлена запись пользовательских установок во вкладке "Дистанционное обновление";
[*] Для прибора лунь 23 в разделах "группы" и "шина ТАН" заменена надпись "Можно подключать антивандальный считыватель" на "Можно подключать антивандальный считыватель и Линд - 7":

7.5.3
[+] Для прибора Лунь-23 в конфигурацию добавлены поля: пароль и возможность конфигурирования без пароля 
  
7.5.2
[+] Для прибора Лунь 9С добавлена возможность работы с 3G модемом. 

7.5.1
[*] Для прибора Гриф в интерфейсе тики переведены в секунды. 

7.5.0
[+] Добавлены приборы Лунь 23, Гриф. 

7.3.9
[*] Переименовали Лунь 9С18 в 9Смод2

7.3.7
[*] Фикс по Лунь-73Н

7.3.6
[*] Исправлены записи на английском

7.3.5
[*] Убраны лишние пакеты при удаленном конфигурировании в Лунь 9С-18 было 35 стало 27

7.3.4 
[*] Изменен размер колонок зон

7.3.3
[*] Добавлен прибор Лунь 9С-18. 
[*] Добавлены фреймы зоны и Sim

7.3.2
[*] Исправлено сохранение, удаление и изменение пользовательских настроек

7.3.1
[*] Исправлен перевод зон на английский язык

7.3.0
[*] Исправлено удалённая запись и чтение прибора Лунь-73 по открытому интернету

7.2.9
[*] Исправления зависимости количества расширителей от количества расширителей зон Лунь-7Т

7.2.7 - 7.2.8
[*] Исправления по переводу интерфейса на английский язык

7.2.6
[+] Добавлен тип зон для Алета (нормально замекнутая / нормально разомкнутая)

7.2.5
[*] Версия конфигуратора переведена на английский язык полностью

7.2.4
[*] Поменяны местами кнопки "Записать конфигурацию" и "Сравнить"

7.2.3
[*] Исправлена ошибка при удалённом чтении конфигурации Лунь-9Т по udp в Life vpn

7.2.2
[*] Лунь-71Т переименован в Лунь-73Т, Лунь-71H в Лунь-73H

7.2.1
[+] Добавлена совместимость пользовательских настроек для Лунь-71Т и Лунь-7Тi, а также для Лунь-7Н и Лунь-71Н

7.2.0
[+] Добавлена поддержка Лунь-71Т (dev. 125) и Лунь-71Н (dev. 126)
[*] Устранена ошибка с длинной фразы "В охрану после включения"
[*] Для алета для вкладки gps-tracker сервер индикация включения отображается аналогично каналам gprs и voice (если "задействован", то иконка зелёная галочка, иначе красный крестик)

7.1.9
[+] Добавлена возможность установить опцию на Алет- разрешить удалённое снятие с ПЦН (доступно с версии Алет 59 и выше)
[*] Заменена фраза при ошибке удалённого конфигурирования, когда прибор не отвечает на команды (возможная причина - прибор в охране)

7.1.8
[+] Добавлена отправка номера объекта при удалённом считывании конфигурации

7.1.7
[*] Исправлено удалённое конфигурирование Луня 7Т Мод2 v213 (devId = 104)
[+] Для удалённого конфигурирования Алета необходимо вводить ещё и номер объекта (исключает конфликт ip адресов на разных VPN)

7.1.6
[*] Исправлено название LanCom-14. на LanCom rev.14.
[+] Добавлена поддержка конфигурирования Лунь-9Т касаемо удалённого снятия с охраны. Изменения касаются приборов 56v57, 76v57

7.1.5
[+] Добавлена поддержка конфигурирования LanCom-14.

7.1.4
[+] Добавлена поддержка конфигурирования Лунь-9Т касаемо удалённого снятия с охраны. Изменения касаются приборов 96v57, 86v57, 97v57, 87v57

7.1.3
[+] Поменялось название сервиса gps мониторинга на Мониторинговый сервис gpspla.net.

7.1.2
[+] Добавлена возможность исключать пожарные зоны из анализа при отчёте для Лунь 9Р.

7.1.1
[*] Исправлен глюк с записью конфигурации TK17 (к какому прибору подключён)

7.1.0
[*] Обновлены заводские установки приборов 9Т quictel simCom.
[*] Исправлены некоторые элементы пользовательского интерфейса TK17

7.0.9
[*] Исправлено изменение кодов при изменени типа зон с  2й по 5ю в конфигурации Лунь9Т quectel

7.0.8
[+] Поддержка конфигурирования ТК17. Изменения в интерфейсе.

7.0.6
[*] Устранение багов, появившихся в версии 7.0.5

7.0.5
[*] Устранен глюк с записью 22й ячейки конфигурации ТК7.

7.0.4
[+] Добален IP адрес и порт по умолчанию для  "Мониторинговый Сервис от "Охрана и безопасность""

7.0.3
[*] Исправлена удалённая запись строки инициализации модема в зависимости от типа модема для Луней 9й серии и ниже.
[+] Добавлено определение типа модема Лунь 9С при удалённом чтении / записи конфигурации.
[*] gps.p-sec.eu заменён на "Мониторинговый Сервис от "Охрана и безопасность""

7.0.2
[+] Добавлена проверка на чтение/запись конфигурации прибора Лунь, 11 серии.
[*] Исправлены баги прошлой версии, касаемые повторного считывания / записи несовместимой конфигурации.

7.0.1
[+] Добавлена проверка перед удалённой записью конфигурации на совместимость типов приборов (выбранный и удалённый). При несовместимости конфигураций выдаётся соответствующее сообщение.
[+] Для приборов Лунь 7Тi добавлен выбор модема (с версии 210 модем Quictel, а до версии 209 -SimCom). Добавлен файл с заводскими настройками для Лунь 7Тi 210 версии и выше.
[*] Исправлено появление / скрытие полей "порт" в настройках GPRS, для Лунь7 в режиме  "Обычный" и "Эксперт"

7.0.0
[*] Исправлен баг с каналами связи. При отмене опции с GPRS и с голосового канала в приборе убирается GSM канал
[*] Отмена изменений версии 6.9.9 При считывании конфигурации удалённо, конфигуратор сам определяет тип прибора и подстраивает под неё конфигурацию (Это не работает в случае разных серий приборов, например Алет и 9Т)
[*] Исправлена опция "Автодозвон" в каналах связи. При снятии опции "Использовать канал автодозвон", снимается и опция "Сделать канал автодозвона основным"   
[*] Исправлены надписи в заголовках некоторых сообщений (вместо %s ставится версия конфигуратора)

6.9.9
[*] Если выбранный тип прибора и прибор, конфигурация которого была считана удалённо не совпадают, то программа выдаст сообщение о том что типы приборов не совпадают. 
    Необходимо выбрать правильный прибор и повторно считать его конфигурацию.

6.9.8
[*] Исправлен баг с сообщением при попытке записать конфигурацию в прибор, версия которого отличается от версии в файле. Добавлено описание для приборов Лунь9 86й и 87 версий

6.9.7
[*] Исправлен баг со считыванием значения из поля "Передаваемый номер" на закладке gps-tracker сервер

6.9.6
[+] Мелкие изменения в надписях на форме и расположения текста.

6.9.5
[+] Убрал кнопку "Взять настройки sim". Оставил только опцию на какой gps трекер передавать данные, когда снят с охраны
[+] Лунь 9С. добавил возможность указать тип модема при выборе данного луня из списка приборов.
[*] Лунь 9Р Исправил проблему со вторым реле. Значения в соотв. ячейках правильные.
[*] Убрал окошко при запуске программы о том, что надо обновится до последней версии
[*] На закладке ПЦН для Луня-9Р исправил надписи "Таймаут..." - они перекрывались полями ввода

6.9.4
[+] Исправлен баг с доступностью галочки автоматически или нет переходить на основную сим карту, когда выбран голос на двух картах в версии 6.9.3.

6.9.3
[+] Добавлена настройка для Лунь-9С - автоматически или нет переходить на основную сим карту (во вкладке ПЦН)

6.9.2
[+] Изменён период теста для голосового канал для 7,9 Луней (он теперь измеряется в минутах)

6.9.1
[+] Добавлена кнопка "Взять настройки sim" на форме настроек трекер-сервера для копирования настроек пульта из настроек сим карты.

6.9.0
[+] Подержка VPN канала связи для сервиса gps.p-sec.eu

6.8.9.
[+] Добавлен выбор ещё один gps-tracker нашего сервиса gps.p-sec.eu для Алета

6.8.8.
[+] Добавлена функция удалённой записи IP адресов и портов для приборов 7й, 9й серии и Алета.
[*] Исправлен появившийся в связи с изменениями в 6.8.7. баг с подключением клавиатуры к прибору Лунь7.

6.8.7.
[*] Исправлен появившийся в связи с изменениями в 6.8.6. баг с удалённым конфигурированием Алет и Лунь9С.

6.8.6.
[*] Исправлен баг со сравнением конфигурация для Лунь7 Лунь9Т в случае когда используется клавиатура и пользовательские коды были занесены с клавиатуры.

6.8.5.
[+] Добавлен выбор модема (SimCom или QuickTel) для Лунь9 всех версий. 
[+] Изменен код "Однократное срабатывание пож. шлейфа" =  6E в заводских установках для Лунь9Р ver >= 34 и devID = 53,73,83,93
[*] Исправлен баг с применением пользовательских настроек к текущим настройкам.

6.8.4.
[*] Исправлен баг с выбором расположения алета в машине (поперек, вдоль).

6.8.3.
[*] Поддержка Лунь 9Р пожарного версии 34 (выбор пожар по второй сработке для конкретной зоны).

6.8.2.
[*] Названия модемов приведены к одному виду SimCom и Quectel

6.8.1.
[*] Исправлено сравнение конфигураций Лунь 7Тi на экране и в приборе

6.8.0.
[*] Исправлено определение типа модема для Лунь 9С модем QuecTel M72E

6.7.9.
[*] Исправлено определения режима работы (охранный/пожарный) для Лунь 9С

6.7.8.
[*] Пустое поле адреса по умолчанию при удаленном конфигурироавнии
[*] Исправлена работа с пожарным лунем 31й версии на модеме м72 rev 93 (изменение установок по реле и зпгрузка пользовательских установок)
[*] Передаваемый номер Лунь 7Т добивается 0 до 6ти символов (как в Лунь 9т, 9с)

6.7.7.
[*] Возможность самому выбирать тип модема при конфигурировании Лунь-9С

6.7.6.
[*] Открыты поля для конфигурирования портов (Лунь 7Тi, Лунь9Т, Лунь9Р) для работы в GPRS и открытом интернете
[*] Изменены заводские установки Лунь9Р (количество попыток дозвона по GPRS = 4 вместо 10)
[*] При записи конфигурации в Алет, в 2032 ячейку записывается 0, чтобы прибор всегда был не в охране после конфигурирования

6.7.5.
[*] Исправлена удалённая запись телефонов владельцев Алета.

6.3.5
[+] Открытый интернет видео-лунь

6.3.2
[+] Выложена стабильная версия на сайт

6.3.1
[*] баг удаленного конфигурирования с фениксом - команда M

6.2.9
[*] Пользовательские установки для 9С
[*] Удаленное конфигурирование для 9С
[*] Теперь не записывается в прибор если нет связи
[*] При подключении того же самого прибора, такой же версии не меняется пользовательский интерфейс

6.2.8
Тоже много

6.2.7
Много изменений

6.2.6
[+] Поддержка дистанционного обновления для 9С

6.2.5
[+] Поддержка параметра количество расширителей групп (127 ячейка). прибор Лунь-7Тv107

6.2.2
[*] глюк с реле

6.2.0
[+] 9C - добавлено включение удаленного управления по GPRS
[*] удаленное конфигурирование 9Р с группами
[*] Описание ключей "Все" заменено на ключей 13

6.1.8
[*] исправлен глюк в номерах ПЦН

6.1.7
[+] добавлена поддержка групп в 9Т луне

6.1.6
[*] Теперь для 9Т достаются электронные ключи из старых приборов серии 5 и 7

6.1.5.
[*] Исправлены глюки с 9Т, добавлены заводские установки для версий меньше 13

6.1.4
[+] теперь поддерживаются телефоны с +
[*] В ТК-7 все корректно работает
[*] корректно включаются и выключаются каналы связи с ПЦН
[*] после загрузки файла обновляется информация в текущем фрейме

6.1.2
[*] Теперь в лунь9р - 13 ключей
[*] При удаленном конфигурировании, если прибор под охраной и пользователь пытается записать данные, выдается сообщение, работает только после чтения

6.1.1
[*] Исправлен глюк в электронных ключах, когда заводские установки в 9Т не загружались корректно
[+] Добавлена клавиатура в 7Н

6.1.0
[*] Попытка исправить глюк с дублированием событий по GPRS
[*] Исправлен глюк, когда при переходе с эл. ключей на клавиатуру, не писались коды по умолчанию

6.0.9
[*] Теперь при выключении голосового и GPRS канала автоматически не включается канал автодозвона
[*] В заводских установках для 9Р охранно-пожарного опция "Проверка сирены во включенном состоянии" выключена

6.0.8
[*] исправлен глюк с опцией в охрану по умолчанию для прибора devID 56
[*] исправлены коды "потеря связи по ТАН" и "восстановление связи по ТАН"
[*] с версии 53v22 используется подход к реле как в 9Т
[*] исправление в работе реле 53v22

6.0.7
[+] добавлена поддержка удаленного конфигурирования в открытом интернете
[+] добавлена поддержка удаленного конфигурирования для приборов 9T(devID 56) и 9T_UA (devID 55)
[*] переделан внутренний механизм удаленного конфигурирования
[+] запрещено вводить ключ FFFFFFFF
[+] добавлены сообщения об ошибках
[+] добавлено сообщение о замене введенным или считанным ключем всех таких же старых ключей

6.0.3
[+] в приборе Лунь-9Р охранно-пожарный RUS введена поддержка электронных ключей
[+] добавлен прибор Лунь9Т охранный UA с одной сим картой

6.0.2
[*] показывается закладка автодозвон для приборов 9Т версии 4 и выше

6.0.1
в 9Р пожарный UA
[*] период тестов в GPRS канале по заводским установкам теперь 60 минут - был 10 минут
в 9Р охранно-пожарном RUS
[*] период тестов в GPRS канале по заводским установкам теперь 60 минут - был 10 минут
[*] коды установщика, начальника поставлены 1111, 2222, 3333 
[+] добавлен Local DTMF, ee 22_6

5.9.9
[*] подправлены заводские установки ОПЯТЬ!
[*] подправлены мелкие глюки 9Т, 9Р
[*] изменены описания приборов 9Т на 9Р охранно-пожарный (RUS), 9Р на 9Р пожарный (UA)

5.9.0
[*] Подправлены заводские установки для всех приборов
[*] Полностью поддерживается прибор МРВ-8
[*] Добавлен прибор ТК-7 (Филин)

5.8.5
[*] Максимальный код, который можно ввести в коротком протоколе 7 луня 3E
[*] В коротком протоколе скрыт 15 ключ и вносится в него FFFFFFFF

5.8.4
[*] Исправлен глюк со вторым номером ПЦН 2-й карточки, не вводился раньше
[*] исправлены заводские установки для 9Р, добавлен код $2F - смена активной симкарты
[*] исправлен интерфейс кодов 9Р, лишние поля, которые добавились от 9Т убраны

5.8.3
[*] подправлены задержки для МРВ-8

5.8.2
[*] Добавлены код начальника, установщика и доступа ко второму уровню доступа

5.8.1
[*] Введена поддержка прибора Лунь-9Т (devID=54)

5.7.8
[*] Запрещены коды FF для любого типа события
[*] Максимальный адрес в шине (количество расширителей) ограничен 30
[*] Количество попыток дозвона и различные интервалы, таймауты ограничены минимальным значением 2
[*] В поле электронного ключа невозможно внести все 0 (00000000)
[*] Введена автоматическая проверка записи в Лунь-9

5.7.7
[*] Исправлен глюк при удаленном конфигурировании, при записи зон код восстановления в 8-ой зоне записывался 00

5.7.6
[*] Переделан полностью механизм удаленного конфигурирования
[*] добавлена поддержка новых приборов 52v100 работающих с счетчиками

5.7.5
[*] Добавлены коды 
   ячейка 91 код "реле 1 включено" $52
   ячейка 92 код "реле 1 выключено" $62
   ячейка 96 код "реле 2 включено" $53
   ячейка 97 код "реле 2 выключено" $63
[*] Исправлены глюки с записью и считыванием не тех параметров дозвона по GPRS (Количество попыток дозвона, номер перезапуска)
[*] Теперь невозможно перезаписать заводские установки
[*] Введено предупреждение при введении 00 в ячейку кодов тревог и восстановления

5.7.4
[*] Исправлен глюк при загрузке заводских установок для прибора только с каналом GPRS

5.7.3
[*] Исправлено количество попыток для голосового канала, теперь можно делать больше 12 часов
[*] Исправлено количество попыток для GPRS при удаленном конфигурировании

5.7.2
[*] Подправлены коды потери связи с ППК
[*] Добавлены постановочная зона и общая тревога в TEi
[*] Добавлена возможность удаленного перезапуска и при полной записи прибора выдается предупреждение о необходимости удаленного перезапуска

5.7.1
[*] Исправлено сравнение для новых приборов
[*] 7TEi теперь нормально читается и пишется

5.6.9
[*] Исправлен баг зависания при удаленном конфигурировании
[*] Исправлены коды общей тревоги для 7Ti
[*] Невозможно теперь ввести код больше 3F для 7-й серии луней

5.6.8
[*] Добавлена поддержка 7ТЕi новой версии с двумя каналами
[*] Подправлены заводские установки
[*] добавлена надпись "в 145 мс тиках" в GPRS канале
[*] При включении птички GPRS/Voice меняются параметры дозвона: только GPRS - количество попыток дозвона/кол-во попыток перезапуска - 14/7, GPRS/Voice 10/100
[*] Версия конфигуратора вынесена в заголовок выбора прибора

5.6.7
[*] Подправлен интерфейс, не показывались тики в экспертном (7тi) или лишнее было (5С, 5Н, 7Н)
[*] 7Н - добавлены птички включение/выключение основого и резервного питания
[*] Починил глюк с переходом с экспертного в обычный, когда не все компоненты скрывались
[*] Удаленное конфигурирование под паролем (пароль по умолчанию - jscpas)
[*] Введено предупреждение о длине APN
[*] При использовании короткого протокола (DT3) количество расширителей максимум 3
[*] Введена поддержка бита 22_4 GPRS\Voice или GPRS only
[*] При выборе клавиатуры, скрыты коды пользователей
[*] 7Т добавлена постановочная зона и общая тревога


5.6.6
[*] Автоматически загружаются заводские установки при запуске программы
[*] При удаленном конфигурировании выводится тип и версия удаленного прибора и эти же параметры сохраняются в файл при сохранении конфигурации считанной удаленно
[*] Подправлены заводские установки Лунь-9Р
[*] Внедрена команда быстрого чтения по 16 байт (номер 15) для Лунь-9Р
[*] Тесты голосовые перенесены на закладку голосовой канал
[*] подправлены заводские установки 7Ti и 7Мi

5.6.5
[*] 9P добавлено:
[*] код сброс
[*] вход на уровень доступа 1
[*] вход на уровень доступа 2
[*] вход на уровень доступа 3
общее:
[*] подправлены все заводские установки

5.6.4
[*] Исправлен глюк с файлами
[*] Исправлены глюки с заводскими установками
[*] Исправлен глюк с импортом старых файлов

5.6.3
[*] Поддержка прибора 53v5 (Лунь-9Р)

5.6.2
[*] Поддержка прибора devID 46 version 90 (Лунь-7Тi)
[*] Поддержка короткого протокола
[*] Поддержка Линд/клавиатура
[*] Увеличено количество COM портов
[*] Поддержка 2-х каналов передачи данных (GPRS/Voice)
[*] Поддержка 2-х протоколов передачи данных (TCP/UDP)
